## com.declarativa.interprolog.util
Class IPException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--com.declarativa.interprolog.util.IPException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  IPAbortedException, IPInterruptedException

public class IPException
extends RuntimeException

An Exception related to Prolog processing in general

See Also:
  Serialized Form

Constructor Summary
`IPException(String s)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IPException

    public IPException(String s)